Look up the rate history for a lane. This is considered a mutation because it is a
metered operation and calls are recorded for possible billing purposes.
The result for each input request; the request and result arrays are the same size and their elements map 1:1.
Each result is either a successful lookup or an error; each request succeeds or fails independently.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Cargado API Docs","colors":{"primary":"#345ED1","light":"#0EA5E9","dark":"#1F3A89"},"logo":{"light":"https://mintcdn.com/cargado/CLB1kJumWhQp7b97/cargado-logo-azul.png?fit=max\u0026auto=format\u0026n=CLB1kJumWhQp7b97\u0026q=85\u0026s=ce0b66ea21b97607c9feb1078d9e51ba","dark":"https://mintcdn.com/cargado/CLB1kJumWhQp7b97/cargado-logo-white.png?fit=max\u0026auto=format\u0026n=CLB1kJumWhQp7b97\u0026q=85\u0026s=e064cb372e3ce7708ef953d2d8c5a7e0"},"favicon":"https://mintcdn.com/cargado/Wapfgg7ZWTmU6W_z/cargado-favicon-azul.svg?fit=max\u0026auto=format\u0026n=Wapfgg7ZWTmU6W_z\u0026q=85\u0026s=6d3f2144bb002b78fea4fae5ce3ecdc7","api":{"openapi":{"source":"openapi.yml"},"mdx":{"auth":{"method":"bearer"},"server":"https://api.cargado.com"}},"navbar":{"links":[{"href":"mailto:dev-support@cargado.com","label":"Contact Us"}],"primary":{"type":"button","label":"Go to App","href":"https://app.cargado.com"}},"footer":{"socials":{"github":"https://github.com/cargadoinc","linkedin":"https://www.linkedin.com/company/cargado"}},"banner":{"content":"Cargado API is in beta. The API may change in breaking ways."},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cargado","hasAudioNarration":false,"actualSubdomain":"cargado","customDomains":["docs.cargado.com"],"gitSource":{"type":"github","owner":"cargadoinc","repo":"enchilada","deployBranch":"main","contentDirectory":"mintlify","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae25099322060d1d219d232","collectionId":"1795b56e-b12d-4102-87ae-c878c7f2c3c7","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae25099322060d1d219d232"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aee039dd121ed565e112f58","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":29},{"language":"default","tag":"Concepts","count":9},{"language":"default","tag":"Guides","count":8},{"language":"default","tag":"Webhooks","count":8},{"language":"default","tag":"Webhook Events","count":3},{"language":"default","tag":"Carrier Relationships","count":3},{"language":"default","tag":"Load Sync","count":3},{"language":"default","tag":"Loads","count":2},{"language":"default","tag":"Rates","count":2},{"language":"default","tag":"Getting Started","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/rates/lookup-rate-history","slug":"/api-reference/rates/lookup-rate-history","pageMetadata":{"title":"Lookup rate history","description":"Look up the rate history for a lane. This is considered a mutation because it is a\nmetered operation and calls are recorded for possible billing purposes.\n\nSee [the usage guide](/rates/rate-lookup).","deprecated":null,"version":null,"openapi":"/openapi.yml post /rates/history","href":"/api-reference/rates/lookup-rate-history","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Look up the rate history for a lane. This is considered a mutation because it is a\\nmetered operation and calls are recorded for possible billing purposes.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"See \", _jsx(_components.a, {\n href: \"/rates/rate-lookup\",\n children: \"the usage guide\"\n }), \".\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Lookup rate history","description":"Look up the rate history for a lane. This is considered a mutation because it is a\nmetered operation and calls are recorded for possible billing purposes.\n\nSee [the usage guide](/rates/rate-lookup).","deprecated":null,"version":null,"openapi":"/openapi.yml post /rates/history","href":"/api-reference/rates/lookup-rate-history","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"RateHistory","responses":{"200":"af7aeaf6-9c0c-415d-9182-d79c44aaeff2","401":"df22024d-4d8b-43e8-bdf7-7e8a25b83da4"},"description":"Look up the rate history for a lane. This is considered a mutation because it is a\nmetered operation and calls are recorded for possible billing purposes.\n\nSee [the usage guide](/rates/rate-lookup).","summary":"Lookup rate history","tags":["Rates"],"security":["b6609bc2-bd69-4289-9299-7640ad2a6132"],"parameters":[],"requestBody":"7d7a0051-dcaf-475f-8cc3-1dad0d337ae6","method":"post","type":"path","servers":["680435da-8bd8-44c0-bc61-09cd96d9e52e"],"path":"/rates/history","baseUrlOptions":["https://api.cargado.com"],"title":"Lookup rate history","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"description":"See [the Rate Lookup guide](/rates/rate-lookup) for more information.","properties":{"requests":{"items":{"properties":{"stops":{"items":{"oneOf":[{"type":"object","required":["type","placeDetails"],"properties":{"type":{"oneOf":[{"type":"string","enum":["PICKUP"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["PICKUP"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring> | null"},"placeDetails":{"properties":{"place":{"oneOf":[{"type":"object","description":"The place as a formatted string. Should be at the level of an address, postal code, city, or neighborhood.","required":["address","type"],"properties":{"address":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.0.address","typeLabel":"string"},"type":{"oneOf":[{"type":"string","enum":["ADDRESS_STRING"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.0.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["ADDRESS_STRING"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.0.type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.0","typeLabel":"object"},{"type":"object","description":"The full address of the place as structured data.","required":["country","state","city","postalCode","street","type"],"properties":{"country":{"type":"string","enum":["US","MX","CA"],"description":"The ISO 3166-1 alpha-2 country code of the place.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.country","typeLabel":"enum\u003cstring>"},"state":{"oneOf":[{"type":"string","enum":["CA_AB","CA_BC","CA_MB","CA_NB","CA_NL","CA_NT","CA_NS","CA_NU","CA_ON","CA_PE","CA_QC","CA_SK","CA_YT"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.state.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["MX_AGU","MX_BCN","MX_BCS","MX_CAM","MX_CMX","MX_COA","MX_COL","MX_CHP","MX_CHH","MX_DUR","MX_GUA","MX_GRO","MX_HID","MX_JAL","MX_MEX","MX_MIC","MX_MOR","MX_NAY","MX_NLE","MX_OAX","MX_PUE","MX_QUE","MX_ROO","MX_SLP","MX_SIN","MX_SON","MX_TAB","MX_TAM","MX_TLA","MX_VER","MX_YUC","MX_ZAC"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.state.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["US_AK","US_AL","US_AZ","US_AR","US_CA","US_CO","US_CT","US_DE","US_FL","US_GA","US_HI","US_ID","US_IL","US_IN","US_IA","US_KS","US_KY","US_LA","US_ME","US_MD","US_MA","US_MI","US_MN","US_MS","US_MO","US_MT","US_NE","US_NV","US_NH","US_NJ","US_NM","US_NY","US_NC","US_ND","US_OH","US_OK","US_OR","US_PA","US_RI","US_SC","US_SD","US_TN","US_TX","US_UT","US_VT","US_VA","US_WA","US_WV","US_WI","US_WY","US_DC","US_AS","US_GU","US_MP","US_PR","US_UM","US_VI"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.state.oneOf.2","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.state","typeLabel":"enum\u003cstring>"},"city":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.city","typeLabel":"string"},"postalCode":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.postalCode","typeLabel":"string"},"street":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.street","typeLabel":"string"},"type":{"oneOf":[{"type":"string","enum":["ADDRESS"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["ADDRESS"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.type","typeLabel":"enum\u003cstring> | null"},"streetTwo":{"type":"string","uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1.streetTwo","typeLabel":"string"}},"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.1","typeLabel":"object"},{"type":"object","description":"A postal code in country-specific format (called a ZIP code in the United States).","required":["type","postalCode","country"],"properties":{"type":{"oneOf":[{"type":"string","enum":["POSTAL_CODE"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.2.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["POSTAL_CODE"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.2.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.2.type","typeLabel":"enum\u003cstring> | null"},"postalCode":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.2.postalCode","typeLabel":"string"},"country":{"type":"string","enum":["US","MX","CA"],"description":"The ISO 3166-1 alpha-2 country code of the place.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.2.country","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.2","typeLabel":"object"},{"type":"object","description":"A city or neighborhood. You may use the name of the neighborhood as the value of the `city` field.","required":["type","city","state","country"],"properties":{"type":{"oneOf":[{"type":"string","enum":["CITY"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["CITY"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.type","typeLabel":"enum\u003cstring> | null"},"city":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.city","typeLabel":"string"},"state":{"oneOf":[{"type":"string","enum":["CA_AB","CA_BC","CA_MB","CA_NB","CA_NL","CA_NT","CA_NS","CA_NU","CA_ON","CA_PE","CA_QC","CA_SK","CA_YT"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.state.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["MX_AGU","MX_BCN","MX_BCS","MX_CAM","MX_CMX","MX_COA","MX_COL","MX_CHP","MX_CHH","MX_DUR","MX_GUA","MX_GRO","MX_HID","MX_JAL","MX_MEX","MX_MIC","MX_MOR","MX_NAY","MX_NLE","MX_OAX","MX_PUE","MX_QUE","MX_ROO","MX_SLP","MX_SIN","MX_SON","MX_TAB","MX_TAM","MX_TLA","MX_VER","MX_YUC","MX_ZAC"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.state.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["US_AK","US_AL","US_AZ","US_AR","US_CA","US_CO","US_CT","US_DE","US_FL","US_GA","US_HI","US_ID","US_IL","US_IN","US_IA","US_KS","US_KY","US_LA","US_ME","US_MD","US_MA","US_MI","US_MN","US_MS","US_MO","US_MT","US_NE","US_NV","US_NH","US_NJ","US_NM","US_NY","US_NC","US_ND","US_OH","US_OK","US_OR","US_PA","US_RI","US_SC","US_SD","US_TN","US_TX","US_UT","US_VT","US_VA","US_WA","US_WV","US_WI","US_WY","US_DC","US_AS","US_GU","US_MP","US_PR","US_UM","US_VI"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.state.oneOf.2","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.state","typeLabel":"enum\u003cstring>"},"country":{"type":"string","enum":["US","MX","CA"],"description":"The ISO 3166-1 alpha-2 country code of the place.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3.country","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place.oneOf.3","typeLabel":"object"}],"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.place","typeLabel":"object"},"coordinates":{"description":"The GPS coordinates of the location. If omitted, Cargado will determine the coordinates to use via geocoding.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.coordinates.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.coordinates.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails.coordinates","typeLabel":"object"}},"type":"object","additionalProperties":true,"description":"The location of the stop.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0.placeDetails","typeLabel":"object"}},"additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["type","placeDetails"],"properties":{"type":{"oneOf":[{"type":"string","enum":["DELIVERY"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["DELIVERY"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring> | null"},"placeDetails":{"properties":{"place":{"oneOf":[{"type":"object","description":"The place as a formatted string. Should be at the level of an address, postal code, city, or neighborhood.","required":["address","type"],"properties":{"address":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.0.address","typeLabel":"string"},"type":{"oneOf":[{"type":"string","enum":["ADDRESS_STRING"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.0.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["ADDRESS_STRING"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.0.type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.0","typeLabel":"object"},{"type":"object","description":"The full address of the place as structured data.","required":["country","state","city","postalCode","street","type"],"properties":{"country":{"type":"string","enum":["US","MX","CA"],"description":"The ISO 3166-1 alpha-2 country code of the place.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.country","typeLabel":"enum\u003cstring>"},"state":{"oneOf":[{"type":"string","enum":["CA_AB","CA_BC","CA_MB","CA_NB","CA_NL","CA_NT","CA_NS","CA_NU","CA_ON","CA_PE","CA_QC","CA_SK","CA_YT"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.state.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["MX_AGU","MX_BCN","MX_BCS","MX_CAM","MX_CMX","MX_COA","MX_COL","MX_CHP","MX_CHH","MX_DUR","MX_GUA","MX_GRO","MX_HID","MX_JAL","MX_MEX","MX_MIC","MX_MOR","MX_NAY","MX_NLE","MX_OAX","MX_PUE","MX_QUE","MX_ROO","MX_SLP","MX_SIN","MX_SON","MX_TAB","MX_TAM","MX_TLA","MX_VER","MX_YUC","MX_ZAC"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.state.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["US_AK","US_AL","US_AZ","US_AR","US_CA","US_CO","US_CT","US_DE","US_FL","US_GA","US_HI","US_ID","US_IL","US_IN","US_IA","US_KS","US_KY","US_LA","US_ME","US_MD","US_MA","US_MI","US_MN","US_MS","US_MO","US_MT","US_NE","US_NV","US_NH","US_NJ","US_NM","US_NY","US_NC","US_ND","US_OH","US_OK","US_OR","US_PA","US_RI","US_SC","US_SD","US_TN","US_TX","US_UT","US_VT","US_VA","US_WA","US_WV","US_WI","US_WY","US_DC","US_AS","US_GU","US_MP","US_PR","US_UM","US_VI"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.state.oneOf.2","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.state","typeLabel":"enum\u003cstring>"},"city":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.city","typeLabel":"string"},"postalCode":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.postalCode","typeLabel":"string"},"street":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.street","typeLabel":"string"},"type":{"oneOf":[{"type":"string","enum":["ADDRESS"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["ADDRESS"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.type","typeLabel":"enum\u003cstring> | null"},"streetTwo":{"type":"string","uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1.streetTwo","typeLabel":"string"}},"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.1","typeLabel":"object"},{"type":"object","description":"A postal code in country-specific format (called a ZIP code in the United States).","required":["type","postalCode","country"],"properties":{"type":{"oneOf":[{"type":"string","enum":["POSTAL_CODE"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.2.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["POSTAL_CODE"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.2.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.2.type","typeLabel":"enum\u003cstring> | null"},"postalCode":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.2.postalCode","typeLabel":"string"},"country":{"type":"string","enum":["US","MX","CA"],"description":"The ISO 3166-1 alpha-2 country code of the place.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.2.country","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.2","typeLabel":"object"},{"type":"object","description":"A city or neighborhood. You may use the name of the neighborhood as the value of the `city` field.","required":["type","city","state","country"],"properties":{"type":{"oneOf":[{"type":"string","enum":["CITY"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["CITY"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.type","typeLabel":"enum\u003cstring> | null"},"city":{"type":"string","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.city","typeLabel":"string"},"state":{"oneOf":[{"type":"string","enum":["CA_AB","CA_BC","CA_MB","CA_NB","CA_NL","CA_NT","CA_NS","CA_NU","CA_ON","CA_PE","CA_QC","CA_SK","CA_YT"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.state.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["MX_AGU","MX_BCN","MX_BCS","MX_CAM","MX_CMX","MX_COA","MX_COL","MX_CHP","MX_CHH","MX_DUR","MX_GUA","MX_GRO","MX_HID","MX_JAL","MX_MEX","MX_MIC","MX_MOR","MX_NAY","MX_NLE","MX_OAX","MX_PUE","MX_QUE","MX_ROO","MX_SLP","MX_SIN","MX_SON","MX_TAB","MX_TAM","MX_TLA","MX_VER","MX_YUC","MX_ZAC"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.state.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","enum":["US_AK","US_AL","US_AZ","US_AR","US_CA","US_CO","US_CT","US_DE","US_FL","US_GA","US_HI","US_ID","US_IL","US_IN","US_IA","US_KS","US_KY","US_LA","US_ME","US_MD","US_MA","US_MI","US_MN","US_MS","US_MO","US_MT","US_NE","US_NV","US_NH","US_NJ","US_NM","US_NY","US_NC","US_ND","US_OH","US_OK","US_OR","US_PA","US_RI","US_SC","US_SD","US_TN","US_TX","US_UT","US_VT","US_VA","US_WA","US_WV","US_WI","US_WY","US_DC","US_AS","US_GU","US_MP","US_PR","US_UM","US_VI"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.state.oneOf.2","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.state","typeLabel":"enum\u003cstring>"},"country":{"type":"string","enum":["US","MX","CA"],"description":"The ISO 3166-1 alpha-2 country code of the place.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3.country","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place.oneOf.3","typeLabel":"object"}],"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.place","typeLabel":"object"},"coordinates":{"description":"The GPS coordinates of the location. If omitted, Cargado will determine the coordinates to use via geocoding.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.coordinates.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.coordinates.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails.coordinates","typeLabel":"object"}},"type":"object","additionalProperties":true,"description":"The location of the stop.","isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1.placeDetails","typeLabel":"object"}},"additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["type"],"properties":{"type":{"oneOf":[{"type":"string","enum":["BORDER_CROSSING"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.2.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["BORDER_CROSSING"],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.2.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.2.type","typeLabel":"enum\u003cstring> | null"},"usMxBorderCrossing":{"type":"string","enum":["LAREDO_INTL_BRIDGE","LAREDO_COLUMBIA","BROWNSVILLE","CALEXICO_EAST","DEL_RIO","DOUGLAS","EAGLE_PASS","EL_PASO","HIDALGO","NOGALES","OTAY_MESA","SAN_LUIS","TECATE"],"description":"The border crossing port between the United States and Mexico.\nIf omitted, Cargado will automatically select the recommended crossing for the route.","uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.2.usMxBorderCrossing","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX].oneOf.2","typeLabel":"object"}],"uniqueKey":"requests.items.[INDEX].stops.items.[INDEX]","typeLabel":"object"},"type":"array","description":"The list of stops for the load. The first stop is the origin and the last stop is the destination.\nThe first stop must be a pickup and the last must be a delivery.\nFor loads crossing the United States-Mexico border, you may include a border crossing stop to specify the port.\nIf omitted (or if the border crossing stop has no `usMxBorderCrossing` value), Cargado will automatically select the recommended crossing.\nFor loads that do not cross the border, a border crossing stop must not be included.","minItems":2,"maxItems":64,"isRequired":true,"uniqueKey":"requests.items.[INDEX].stops","typeLabel":"object[]"},"trailerRequirements":{"properties":{"allowedTypes":{"items":{"type":"string","enum":["DRY_VAN","DRY_VAN_DOUBLE","DRY_VAN_TRIPLE","DRY_VAN_MULTI_AXLE","REEFER","REEFER_DOUBLE","REEFER_MULTI_AXLE","HEATED","HEATED_MULTI_AXLE","FLATBED","FLATBED_DOUBLE","FLATBED_MULTI_AXLE","STEPDECK","DOUBLE_DROP","RGN","CONESTOGA","STEPDECK_CONESTOGA","DOUBLE_DROP_CONESTOGA","STRAIGHT_TRUCK_DRY","STRAIGHT_TRUCK_REEFER","TORTON","RABON","HALF_TON","ONE_TON","ONE_AND_HALF_TON","THREE_AND_HALF_TON","FOUR_AND_HALF_TON"],"uniqueKey":"requests.items.[INDEX].trailerRequirements.allowedTypes.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","description":"Which types of trailers are allowed for the load.\nExamples: [\"DRY_VAN\"], [\"DRY_VAN\", \"REEFER\"]","examples":[["DRY_VAN"]],"isRequired":true,"uniqueKey":"requests.items.[INDEX].trailerRequirements.allowedTypes","typeLabel":"enum\u003cstring>[]"}},"required":["allowedTypes"],"type":"object","description":"The trailer requirements for the load.","isRequired":true,"uniqueKey":"requests.items.[INDEX].trailerRequirements","typeLabel":"object"},"routeMiles":{"type":"number","format":"double","uniqueKey":"requests.items.[INDEX].routeMiles","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","enum":["USD","MXN","CAD"],"description":"The currency to denominate this request's returned amounts in. Overrides the top-level `currency`.","examples":["MXN"],"uniqueKey":"requests.items.[INDEX].currency","typeLabel":"enum\u003cstring>"}},"required":["stops","trailerRequirements"],"type":"object","additionalProperties":true,"uniqueKey":"requests.items.[INDEX]","typeLabel":"object"},"type":"array","description":"A list of load descriptions to get rate history for.","minItems":1,"maxItems":16,"isRequired":true,"uniqueKey":"requests","typeLabel":"object[]"},"currency":{"type":"string","enum":["USD","MXN","CAD"],"description":"The currency to denominate returned amounts in, for every request that does not set its own `currency`. Defaults to `USD`.","examples":["USD"],"uniqueKey":"currency","typeLabel":"enum\u003cstring>"}},"required":["requests"],"type":"object","additionalProperties":true,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"requests":[{"stops":[{"type":"PICKUP","placeDetails":{"place":{"address":"\u003cstring>","type":"ADDRESS_STRING"}}}],"trailerRequirements":{"allowedTypes":["DRY_VAN"]},"routeMiles":123,"currency":"MXN"}],"currency":"USD"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"af7aeaf6-9c0c-415d-9182-d79c44aaeff2":{"description":"Ok","content":{"application/json":{"schema":{"properties":{"results":{"items":{"oneOf":[{"type":"object","required":["type","id","rateHistory","alternateRateHistories"],"properties":{"type":{"oneOf":[{"type":"string","enum":["DATA"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["DATA"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring> | null"},"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.id","typeLabel":"string"},"rateHistory":{"description":"The Rate History suggested by Cargado.","properties":{"dayRange":{"description":"The date range that this Rate History covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.dayRange","typeLabel":"object"},"pricingLane":{"description":"A description of the unique features used to aggregate prices internally.","properties":{"origin":{"oneOf":[{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","market"],"properties":{"type":{"oneOf":[{"type":"string","enum":["MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.type","typeLabel":"enum\u003cstring> | null"},"market":{"description":"A geographic area that Cargado has chosen to aggregate prices.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market.id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market.name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market.code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market.countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market.centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market.centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market.centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0.market","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.0","typeLabel":"object"},{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","extendedMarket"],"properties":{"type":{"oneOf":[{"type":"string","enum":["EXTENDED_MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["EXTENDED_MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.type","typeLabel":"enum\u003cstring> | null"},"extendedMarket":{"description":"A set of contiguous Markets that Cargado has chosen to aggregate prices over a larger area.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.id","typeLabel":"string"},"markets":{"items":{"description":"A geographic area that Cargado has chosen to aggregate prices.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX]","typeLabel":"object"},"type":"array","description":"The set of constituent Markets that make up this ExtendedMarket.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.markets","typeLabel":"object[]"},"primaryMarket":{"description":"The \"primary\" Market among the set of Markets, used for naming purposes.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket.primaryMarket","typeLabel":"object"}},"required":["id","markets","primaryMarket"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1.extendedMarket","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.1","typeLabel":"object"},{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","region"],"properties":{"type":{"oneOf":[{"type":"string","enum":["REGION"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["REGION"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.type","typeLabel":"enum\u003cstring> | null"},"region":{"description":"A grouping of Extended Markets within one country, roughly following state or province lines, over which Cargado aggregates prices when there is too little data at the Extended Market level.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.region.id","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and region name of the region (e.g. US_WEST, MX_BAJIO).","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.region.code","typeLabel":"string"},"name":{"type":"string","description":"The display name of the region in the language of the request, without its country (e.g. \"Pacific Northwest\", \"Bajío\"). Falls back to the code when Cargado has no name for the region.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.region.name","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the region","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.region.countryCode","typeLabel":"enum\u003cstring>"}},"required":["id","code","name","countryCode"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2.region","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin.oneOf.2","typeLabel":"object"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.origin","typeLabel":"object"},"destination":{"oneOf":[{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","market"],"properties":{"type":{"oneOf":[{"type":"string","enum":["MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.type","typeLabel":"enum\u003cstring> | null"},"market":{"description":"A geographic area that Cargado has chosen to aggregate prices.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market.id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market.name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market.code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market.countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market.centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market.centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market.centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0.market","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.0","typeLabel":"object"},{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","extendedMarket"],"properties":{"type":{"oneOf":[{"type":"string","enum":["EXTENDED_MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["EXTENDED_MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.type","typeLabel":"enum\u003cstring> | null"},"extendedMarket":{"description":"A set of contiguous Markets that Cargado has chosen to aggregate prices over a larger area.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.id","typeLabel":"string"},"markets":{"items":{"description":"A geographic area that Cargado has chosen to aggregate prices.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX].name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX].code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX].countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX].centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX].centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX].centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets.items.[INDEX]","typeLabel":"object"},"type":"array","description":"The set of constituent Markets that make up this ExtendedMarket.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.markets","typeLabel":"object[]"},"primaryMarket":{"description":"The \"primary\" Market among the set of Markets, used for naming purposes.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket.id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket.name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket.code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket.countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket.centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket.centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket.centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket.primaryMarket","typeLabel":"object"}},"required":["id","markets","primaryMarket"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1.extendedMarket","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.1","typeLabel":"object"},{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","region"],"properties":{"type":{"oneOf":[{"type":"string","enum":["REGION"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["REGION"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.type","typeLabel":"enum\u003cstring> | null"},"region":{"description":"A grouping of Extended Markets within one country, roughly following state or province lines, over which Cargado aggregates prices when there is too little data at the Extended Market level.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.region.id","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and region name of the region (e.g. US_WEST, MX_BAJIO).","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.region.code","typeLabel":"string"},"name":{"type":"string","description":"The display name of the region in the language of the request, without its country (e.g. \"Pacific Northwest\", \"Bajío\"). Falls back to the code when Cargado has no name for the region.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.region.name","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the region","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.region.countryCode","typeLabel":"enum\u003cstring>"}},"required":["id","code","name","countryCode"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2.region","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination.oneOf.2","typeLabel":"object"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.destination","typeLabel":"object"},"trailerCategory":{"type":"string","enum":["DRY_VAN","OPEN_DECK","REEFER","STRAIGHT_TRUCK"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.trailerCategory","typeLabel":"enum\u003cstring>"},"usMxBorderCrossing":{"type":"string","enum":["LAREDO_INTL_BRIDGE","LAREDO_COLUMBIA","BROWNSVILLE","CALEXICO_EAST","DEL_RIO","DOUGLAS","EAGLE_PASS","EL_PASO","HIDALGO","NOGALES","OTAY_MESA","SAN_LUIS","TECATE"],"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane.usMxBorderCrossing","typeLabel":"enum\u003cstring>"}},"required":["origin","destination","trailerCategory"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.pricingLane","typeLabel":"object"},"currencyCode":{"type":"string","enum":["USD","MXN","CAD"],"description":"Supported currency codes for monetary values.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.currencyCode","typeLabel":"enum\u003cstring>"},"latestSuggestedRate":{"description":"Most recent rate, calculated using the suggested formula: either per-mile (multiplied by distance) or all-in, depending on our analysis.","properties":{"dayRange":{"description":"The date range that this data point covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.dayRange","typeLabel":"object"},"amountDistribution":{"properties":{"p25":{"type":"number","format":"double","description":"The 25th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.amountDistribution.p25","typeLabel":"number\u003cdouble>"},"p50":{"type":"number","format":"double","description":"The 50th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.amountDistribution.p50","typeLabel":"number\u003cdouble>"},"p75":{"type":"number","format":"double","description":"The 75th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.amountDistribution.p75","typeLabel":"number\u003cdouble>"}},"required":["p25","p50","p75"],"type":"object","additionalProperties":true,"description":"The distribution in \"amounts\" (integers of the base unit of the chosen currency).\n\n- CAD: cents\n- USD: cents\n- MXN: centavos","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.amountDistribution","typeLabel":"object"},"marginOfError":{"type":"number","format":"double","description":"The margin of error is the maximum expected difference between the true population median and our observed median.\nIt is calculated, per lane, based on the number of bids and their variability, from at least 3 unique carriers.\n\nIts unit is \"amount\" (integers of the base unit of the chosen currency); see the `amountDistribution` field.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.marginOfError","typeLabel":"number\u003cdouble>"},"relativeMarginOfError":{"type":"number","format":"double","description":"The margin of error divided by the rate p50 to yield a percentage rate deviation.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.relativeMarginOfError","typeLabel":"number\u003cdouble>"},"confidenceScore":{"type":"number","format":"double","description":"A score indicating overall confidence in the rates, derived from the relative margin of error. This is expressed as an\ninteger between 1 and 100, where 1 is the lowest confidence and 100 is the highest.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.confidenceScore","typeLabel":"number\u003cdouble>"},"confidence":{"type":"string","enum":["STRONG","MEDIUM","LOWER"],"description":"The simplest confidence metric. Values:\n\n- `LOWER`: confidence score 1-33\n- `MEDIUM`: confidence score 34-66\n- `STRONG`: confidence score 67-100","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate.confidence","typeLabel":"enum\u003cstring>"}},"required":["dayRange","amountDistribution"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestSuggestedRate","typeLabel":"object"},"suggestedRates":{"items":{"description":"The distribution of rates, including fuel, for a given timeframe.","properties":{"dayRange":{"description":"The date range that this data point covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].dayRange","typeLabel":"object"},"amountDistribution":{"properties":{"p25":{"type":"number","format":"double","description":"The 25th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].amountDistribution.p25","typeLabel":"number\u003cdouble>"},"p50":{"type":"number","format":"double","description":"The 50th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].amountDistribution.p50","typeLabel":"number\u003cdouble>"},"p75":{"type":"number","format":"double","description":"The 75th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].amountDistribution.p75","typeLabel":"number\u003cdouble>"}},"required":["p25","p50","p75"],"type":"object","additionalProperties":true,"description":"The distribution in \"amounts\" (integers of the base unit of the chosen currency).\n\n- CAD: cents\n- USD: cents\n- MXN: centavos","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].amountDistribution","typeLabel":"object"},"marginOfError":{"type":"number","format":"double","description":"The margin of error is the maximum expected difference between the true population median and our observed median.\nIt is calculated, per lane, based on the number of bids and their variability, from at least 3 unique carriers.\n\nIts unit is \"amount\" (integers of the base unit of the chosen currency); see the `amountDistribution` field.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].marginOfError","typeLabel":"number\u003cdouble>"},"relativeMarginOfError":{"type":"number","format":"double","description":"The margin of error divided by the rate p50 to yield a percentage rate deviation.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].relativeMarginOfError","typeLabel":"number\u003cdouble>"},"confidenceScore":{"type":"number","format":"double","description":"A score indicating overall confidence in the rates, derived from the relative margin of error. This is expressed as an\ninteger between 1 and 100, where 1 is the lowest confidence and 100 is the highest.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].confidenceScore","typeLabel":"number\u003cdouble>"},"confidence":{"type":"string","enum":["STRONG","MEDIUM","LOWER"],"description":"The simplest confidence metric. Values:\n\n- `LOWER`: confidence score 1-33\n- `MEDIUM`: confidence score 34-66\n- `STRONG`: confidence score 67-100","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX].confidence","typeLabel":"enum\u003cstring>"}},"required":["dayRange","amountDistribution"],"type":"object","additionalProperties":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates.items.[INDEX]","typeLabel":"object"},"type":"array","description":"History of suggested rates, in ascending order by date.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.suggestedRates","typeLabel":"object[]"},"perMileRates":{"items":{"description":"The distribution of rates, including fuel, for a given timeframe.","properties":{"dayRange":{"description":"The date range that this data point covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].dayRange","typeLabel":"object"},"amountDistribution":{"properties":{"p25":{"type":"number","format":"double","description":"The 25th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].amountDistribution.p25","typeLabel":"number\u003cdouble>"},"p50":{"type":"number","format":"double","description":"The 50th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].amountDistribution.p50","typeLabel":"number\u003cdouble>"},"p75":{"type":"number","format":"double","description":"The 75th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].amountDistribution.p75","typeLabel":"number\u003cdouble>"}},"required":["p25","p50","p75"],"type":"object","additionalProperties":true,"description":"The distribution in \"amounts\" (integers of the base unit of the chosen currency).\n\n- CAD: cents\n- USD: cents\n- MXN: centavos","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].amountDistribution","typeLabel":"object"},"marginOfError":{"type":"number","format":"double","description":"The margin of error is the maximum expected difference between the true population median and our observed median.\nIt is calculated, per lane, based on the number of bids and their variability, from at least 3 unique carriers.\n\nIts unit is \"amount\" (integers of the base unit of the chosen currency); see the `amountDistribution` field.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].marginOfError","typeLabel":"number\u003cdouble>"},"relativeMarginOfError":{"type":"number","format":"double","description":"The margin of error divided by the rate p50 to yield a percentage rate deviation.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].relativeMarginOfError","typeLabel":"number\u003cdouble>"},"confidenceScore":{"type":"number","format":"double","description":"A score indicating overall confidence in the rates, derived from the relative margin of error. This is expressed as an\ninteger between 1 and 100, where 1 is the lowest confidence and 100 is the highest.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].confidenceScore","typeLabel":"number\u003cdouble>"},"confidence":{"type":"string","enum":["STRONG","MEDIUM","LOWER"],"description":"The simplest confidence metric. Values:\n\n- `LOWER`: confidence score 1-33\n- `MEDIUM`: confidence score 34-66\n- `STRONG`: confidence score 67-100","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX].confidence","typeLabel":"enum\u003cstring>"}},"required":["dayRange","amountDistribution"],"type":"object","additionalProperties":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates.items.[INDEX]","typeLabel":"object"},"type":"array","description":"History of per-mile rates, in ascending order by date.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.perMileRates","typeLabel":"object[]"},"latestAllInRate":{"description":"Most recent rate, calculated from all-in rates between the origin and destination pricing areas, ignoring route mileage.","properties":{"dayRange":{"description":"The date range that this data point covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.dayRange","typeLabel":"object"},"amountDistribution":{"properties":{"p25":{"type":"number","format":"double","description":"The 25th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.amountDistribution.p25","typeLabel":"number\u003cdouble>"},"p50":{"type":"number","format":"double","description":"The 50th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.amountDistribution.p50","typeLabel":"number\u003cdouble>"},"p75":{"type":"number","format":"double","description":"The 75th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.amountDistribution.p75","typeLabel":"number\u003cdouble>"}},"required":["p25","p50","p75"],"type":"object","additionalProperties":true,"description":"The distribution in \"amounts\" (integers of the base unit of the chosen currency).\n\n- CAD: cents\n- USD: cents\n- MXN: centavos","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.amountDistribution","typeLabel":"object"},"marginOfError":{"type":"number","format":"double","description":"The margin of error is the maximum expected difference between the true population median and our observed median.\nIt is calculated, per lane, based on the number of bids and their variability, from at least 3 unique carriers.\n\nIts unit is \"amount\" (integers of the base unit of the chosen currency); see the `amountDistribution` field.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.marginOfError","typeLabel":"number\u003cdouble>"},"relativeMarginOfError":{"type":"number","format":"double","description":"The margin of error divided by the rate p50 to yield a percentage rate deviation.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.relativeMarginOfError","typeLabel":"number\u003cdouble>"},"confidenceScore":{"type":"number","format":"double","description":"A score indicating overall confidence in the rates, derived from the relative margin of error. This is expressed as an\ninteger between 1 and 100, where 1 is the lowest confidence and 100 is the highest.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.confidenceScore","typeLabel":"number\u003cdouble>"},"confidence":{"type":"string","enum":["STRONG","MEDIUM","LOWER"],"description":"The simplest confidence metric. Values:\n\n- `LOWER`: confidence score 1-33\n- `MEDIUM`: confidence score 34-66\n- `STRONG`: confidence score 67-100","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate.confidence","typeLabel":"enum\u003cstring>"}},"required":["dayRange","amountDistribution"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestAllInRate","typeLabel":"object"},"allInRates":{"items":{"description":"The distribution of rates, including fuel, for a given timeframe.","properties":{"dayRange":{"description":"The date range that this data point covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].dayRange","typeLabel":"object"},"amountDistribution":{"properties":{"p25":{"type":"number","format":"double","description":"The 25th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].amountDistribution.p25","typeLabel":"number\u003cdouble>"},"p50":{"type":"number","format":"double","description":"The 50th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].amountDistribution.p50","typeLabel":"number\u003cdouble>"},"p75":{"type":"number","format":"double","description":"The 75th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].amountDistribution.p75","typeLabel":"number\u003cdouble>"}},"required":["p25","p50","p75"],"type":"object","additionalProperties":true,"description":"The distribution in \"amounts\" (integers of the base unit of the chosen currency).\n\n- CAD: cents\n- USD: cents\n- MXN: centavos","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].amountDistribution","typeLabel":"object"},"marginOfError":{"type":"number","format":"double","description":"The margin of error is the maximum expected difference between the true population median and our observed median.\nIt is calculated, per lane, based on the number of bids and their variability, from at least 3 unique carriers.\n\nIts unit is \"amount\" (integers of the base unit of the chosen currency); see the `amountDistribution` field.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].marginOfError","typeLabel":"number\u003cdouble>"},"relativeMarginOfError":{"type":"number","format":"double","description":"The margin of error divided by the rate p50 to yield a percentage rate deviation.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].relativeMarginOfError","typeLabel":"number\u003cdouble>"},"confidenceScore":{"type":"number","format":"double","description":"A score indicating overall confidence in the rates, derived from the relative margin of error. This is expressed as an\ninteger between 1 and 100, where 1 is the lowest confidence and 100 is the highest.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].confidenceScore","typeLabel":"number\u003cdouble>"},"confidence":{"type":"string","enum":["STRONG","MEDIUM","LOWER"],"description":"The simplest confidence metric. Values:\n\n- `LOWER`: confidence score 1-33\n- `MEDIUM`: confidence score 34-66\n- `STRONG`: confidence score 67-100","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX].confidence","typeLabel":"enum\u003cstring>"}},"required":["dayRange","amountDistribution"],"type":"object","additionalProperties":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates.items.[INDEX]","typeLabel":"object"},"type":"array","description":"History of all-in rates, in ascending order by date.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.allInRates","typeLabel":"object[]"},"routeMiles":{"type":"number","format":"double","description":"Distance in miles between the specified pickup and delivery.\n\nIf `routeMiles` was specified in the input, this field has the same value. Otherwise, we calculate it.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.routeMiles","typeLabel":"number\u003cdouble>"},"routeMilesWithDeadhead":{"type":"number","format":"double","description":"The route mileage, plus estimated deadhead from the origin Market centroid to the pickup, and from the delivery to the destination Market centroid.\n\nIf `routeMiles` was specified in the input, this field has the same value. Otherwise, we calculate it.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.routeMilesWithDeadhead","typeLabel":"number\u003cdouble>"},"latestPerMileRate":{"description":"Most recent rate, charged per mile.","properties":{"dayRange":{"description":"The date range that this data point covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.dayRange","typeLabel":"object"},"amountDistribution":{"properties":{"p25":{"type":"number","format":"double","description":"The 25th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.amountDistribution.p25","typeLabel":"number\u003cdouble>"},"p50":{"type":"number","format":"double","description":"The 50th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.amountDistribution.p50","typeLabel":"number\u003cdouble>"},"p75":{"type":"number","format":"double","description":"The 75th percentile of the distribution.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.amountDistribution.p75","typeLabel":"number\u003cdouble>"}},"required":["p25","p50","p75"],"type":"object","additionalProperties":true,"description":"The distribution in \"amounts\" (integers of the base unit of the chosen currency).\n\n- CAD: cents\n- USD: cents\n- MXN: centavos","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.amountDistribution","typeLabel":"object"},"marginOfError":{"type":"number","format":"double","description":"The margin of error is the maximum expected difference between the true population median and our observed median.\nIt is calculated, per lane, based on the number of bids and their variability, from at least 3 unique carriers.\n\nIts unit is \"amount\" (integers of the base unit of the chosen currency); see the `amountDistribution` field.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.marginOfError","typeLabel":"number\u003cdouble>"},"relativeMarginOfError":{"type":"number","format":"double","description":"The margin of error divided by the rate p50 to yield a percentage rate deviation.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.relativeMarginOfError","typeLabel":"number\u003cdouble>"},"confidenceScore":{"type":"number","format":"double","description":"A score indicating overall confidence in the rates, derived from the relative margin of error. This is expressed as an\ninteger between 1 and 100, where 1 is the lowest confidence and 100 is the highest.","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.confidenceScore","typeLabel":"number\u003cdouble>"},"confidence":{"type":"string","enum":["STRONG","MEDIUM","LOWER"],"description":"The simplest confidence metric. Values:\n\n- `LOWER`: confidence score 1-33\n- `MEDIUM`: confidence score 34-66\n- `STRONG`: confidence score 67-100","uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate.confidence","typeLabel":"enum\u003cstring>"}},"required":["dayRange","amountDistribution"],"type":"object","additionalProperties":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory.latestPerMileRate","typeLabel":"object"}},"required":["dayRange","pricingLane","currencyCode","latestSuggestedRate","suggestedRates","perMileRates","latestAllInRate","allInRates","routeMiles","routeMilesWithDeadhead"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.rateHistory","typeLabel":"object"},"alternateRateHistories":{"items":{"description":"The history of rates for a specific market to market lane.","properties":{"dayRange":{"description":"The date range that this Rate History covers.","properties":{"start":{"type":"string","format":"date","description":"Start date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].dayRange.start","typeLabel":"string\u003cdate>"},"end":{"type":"string","format":"date","description":"End date in ISO 8601 format.","examples":["2025-01-01T00:00:00.000Z"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].dayRange.end","typeLabel":"string\u003cdate>"}},"required":["start","end"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].dayRange","typeLabel":"object"},"pricingLane":{"description":"A description of the unique features used to aggregate prices internally.","properties":{"origin":{"oneOf":[{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","market"],"properties":{"type":{"oneOf":[{"type":"string","enum":["MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.type","typeLabel":"enum\u003cstring> | null"},"market":{"description":"A geographic area that Cargado has chosen to aggregate prices.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market.id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market.name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market.code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market.countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market.centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market.centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market.centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0.market","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.0","typeLabel":"object"},{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","extendedMarket"],"properties":{"type":{"oneOf":[{"type":"string","enum":["EXTENDED_MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["EXTENDED_MARKET"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.type","typeLabel":"enum\u003cstring> | null"},"extendedMarket":{"description":"A set of contiguous Markets that Cargado has chosen to aggregate prices over a larger area.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.id","typeLabel":"string"},"markets":{"items":{"description":"A geographic area that Cargado has chosen to aggregate prices.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX].centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets.items.[INDEX]","typeLabel":"object"},"type":"array","description":"The set of constituent Markets that make up this ExtendedMarket.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.markets","typeLabel":"object[]"},"primaryMarket":{"description":"The \"primary\" Market among the set of Markets, used for naming purposes.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.id","typeLabel":"string"},"name":{"type":"string","description":"The display name of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.name","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and three letter market code of the market (e.g. US_SEA, MX_MTY).\nBased on the UN/LOCODE list.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.code","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the market","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.countryCode","typeLabel":"enum\u003cstring>"},"centroid":{"description":"The coordinates of the major city defining the market.\nDeadhead is calculated to/from here.","properties":{"latitude":{"type":"number","format":"double","description":"The latitude of the place.","minimum":-90,"maximum":90,"examples":[49.280455],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.centroid.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","format":"double","description":"The longitude of the place.","minimum":-180,"maximum":180,"examples":[-123.118842],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.centroid.longitude","typeLabel":"number\u003cdouble>"}},"required":["latitude","longitude"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket.centroid","typeLabel":"object"}},"required":["id","name","code","countryCode","centroid"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket.primaryMarket","typeLabel":"object"}},"required":["id","markets","primaryMarket"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1.extendedMarket","typeLabel":"object"}},"additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.1","typeLabel":"object"},{"type":"object","description":"An area in which freight prices are aggregated for analysis at both origin and destination.\nExtended Market-based Pricing Areas are larger and are used when insufficient data is available at the Market level.\nRegion-based Pricing Areas are larger still, and are used when insufficient data is available at the Extended Market level.","required":["type","region"],"properties":{"type":{"oneOf":[{"type":"string","enum":["REGION"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.2.type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["REGION"],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.2.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.2.type","typeLabel":"enum\u003cstring> | null"},"region":{"description":"A grouping of Extended Markets within one country, roughly following state or province lines, over which Cargado aggregates prices when there is too little data at the Extended Market level.","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.2.region.id","typeLabel":"string"},"code":{"type":"string","description":"The two letter country code and region name of the region (e.g. US_WEST, MX_BAJIO).","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.2.region.code","typeLabel":"string"},"name":{"type":"string","description":"The display name of the region in the language of the request, without its country (e.g. \"Pacific Northwest\", \"Bajío\"). Falls back to the code when Cargado has no name for the region.","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.2.region.name","typeLabel":"string"},"countryCode":{"type":"string","enum":["US","MX","CA"],"description":"The country code of the region","isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[INDEX].pricingLane.origin.oneOf.2.region.countryCode","typeLabel":"enum\u003cstring>"}},"required":["id","code","name","countryCode"],"type":"object","additionalProperties":true,"isRequired":true,"uniqueKey":"results.items.[INDEX].oneOf.0.alternateRateHistories.items.[IN
[...]
